Bug 53866 - Description should mention whether db4.1 format is compatible with db2/3 formats.
Description should mention whether db4.1 format is compatible with db2/3 form...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-28 03:40 UTC by pepper
Modified: 2003-07-09 08:46 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pepper 2003-06-28 03:40:17 UTC
	The db4.x descriptions should mention whether db4.x is backward-compatible with the db2/3 file format.

Fix: 

Add a note to pkg-descr explaining whehter or not db4.x is compatible with db2/3 files.
How-To-Repeat: 	Visit <http://www.freebsd.org/cgi/url.cgi?ports/databases/db41/pkg-descr>.
Comment 1 matthias.andree 2003-06-29 17:51:58 UTC
This is a maintainer-update patch to the db4, db41 and db41-nocrypto
ports to fix this issue:

diff -Nur /usr/ports/databases/db4/pkg-descr /root/db4/pkg-descr
--- /usr/ports/databases/db4/pkg-descr	Mon Dec 24 11:45:45 2001
+++ /root/db4/pkg-descr	Sun Jun 29 18:47:40 2003
@@ -4,10 +4,7 @@
 databases, and a backwards compatible API is provided to maintain
 compatibility with programs using the v1.85 interface.
 
-There are minor interface changes in this release which may require that DB
-applications be modified and recompiled. For a complete discussion of
-interface changes, see:
-
-http://www.sleepycat.com/update/
+For details on compatibility with other DB versions, see:
+http://www.sleepycat.com/download/patchlogs.shtml
   
 WWW: http://www.sleepycat.com/
diff -Nur /usr/ports/databases/db41/pkg-descr /root/db41/pkg-descr
--- /usr/ports/databases/db41/pkg-descr	Wed Jan  8 01:23:02 2003
+++ /root/db41/pkg-descr	Sun Jun 29 18:48:13 2003
@@ -4,10 +4,7 @@
 databases, and a backwards compatible API is provided to maintain
 compatibility with programs using the v1.85 interface.
 
-There are minor interface changes in this release which may require that DB
-applications be modified and recompiled. For a complete discussion of
-interface changes, see:
-
-http://www.sleepycat.com/update/
+For details on compatibility with other DB versions, see:
+http://www.sleepycat.com/download/patchlogs.shtml
   
 WWW: http://www.sleepycat.com/

-- 
Matthias Andree
Comment 2 Daichi GOTO freebsd_committer 2003-07-09 08:46:32 UTC
State Changed
From-To: open->closed

Committed. Thanks!